import '../repositories/shifts_repository_interface.dart';

class ApplyForShiftUseCase {
  final ShiftsRepositoryInterface repository;

  ApplyForShiftUseCase(this.repository);

  Future<void> call(
    String shiftId, {
    bool isInstantBook = false,
    String? roleId,
  }) async {
    return repository.applyForShift(
      shiftId,
      isInstantBook: isInstantBook,
      roleId: roleId,
    );
  }
}
